<?php

/*
 * ==================================================
 *          The "n-to-n"-Sample              
 *          Copyright (C) by René Knipschild              
 * ==================================================
 */

require("./init.php");

header("HTTP/1.1 200 OK");
header("Content-Type: text/plain; charset=UTF-8");

$database->connect();

if ($_GET['action'] && $_GET['type'] && $_GET['query']) {
	switch ($_GET['action']) {
		case "set":
			require("./set.php");
			switch ($_GET['type']) {
				case "assignment":
					set::assignment($_GET['query']);
					break;
				case "color":
					set::color($_GET['query']);
					break;
				case "day":
					set::day($_GET['query']);
					break;
				default:
					echo("unknown type\n");
			}
			break;
		case "get":
			require("./get.php");
			switch ($_GET['type']) {
				case "assignment":
					echo("the type assignment is not applicable for the get-action\n");
					break;
				case "color":
					get::color($_GET['query']);
					break;
				case "day":
					get::day($_GET['query']);
					break;
				default:
					echo("unknown type\n");
			}
			break;
		case "remove":
			require("./remove.php");
			switch ($_GET['type']) {
				case "assignment":
					remove::assignment($_GET['query']);
					break;
				case "color":
					remove::color($_GET['query']);
					break;
				case "day":
					remove::day($_GET['query']);
					break;
				default:
					echo("unknown type\n");
			}
			break;
		default:
			echo("unknown action\n");
	}
} else {
	echo("request scheme: index.php?action=[set|get|remove]&type=[assignment|color|day]&query=[query]\n");
}

$database->disconnect();

?>